Journal

Activity journal summaries.

2 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors

Summarise the journal

GET /api/v1/journal/summary
Badge

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.
  • days integer
    Look-back window in days.
    Default: 1

Response 200 OK application/json

  • backups_error integer
    Max: 1.8446744073709552e+19
  • backups_success integer
    Max: 1.8446744073709552e+19
  • backups_total integer
    Max: 1.8446744073709552e+19
  • checks_error integer
    Max: 1.8446744073709552e+19
  • checks_success integer
    Max: 1.8446744073709552e+19
  • checks_total integer
    Max: 1.8446744073709552e+19
  • end string<date-time>
  • input_bytes integer
    Max: 1.8446744073709552e+19
  • logical_read_bytes integer
    Max: 1.8446744073709552e+19
  • logical_written_bytes integer
    Max: 1.8446744073709552e+19
  • output_bytes integer
    Max: 1.8446744073709552e+19
  • restores_error integer
    Max: 1.8446744073709552e+19
  • restores_success integer
    Max: 1.8446744073709552e+19
  • restores_total integer
    Max: 1.8446744073709552e+19
  • start string<date-time>
  • store_read_bytes integer
    Max: 1.8446744073709552e+19
  • store_written_bytes integer
    Max: 1.8446744073709552e+19
  • syncs_error integer
    Max: 1.8446744073709552e+19
  • syncs_success integer
    Max: 1.8446744073709552e+19
  • syncs_total integer
    Max: 1.8446744073709552e+19

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/journal/summary' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "backups_error": 0,
  "backups_success": 0,
  "backups_total": 0,
  "checks_error": 0,
  "checks_success": 0,
  "checks_total": 0,
  "end": "2026-01-01T00:00:00Z",
  "input_bytes": 0,
  "logical_read_bytes": 0,
  "logical_written_bytes": 0,
  "output_bytes": 0,
  "restores_error": 0,
  "restores_success": 0,
  "restores_total": 0,
  "start": "2026-01-01T00:00:00Z",
  "store_read_bytes": 0,
  "store_written_bytes": 0,
  "syncs_error": 0,
  "syncs_success": 0,
  "syncs_total": 0
}

Summarise the journal day by day

GET /api/v1/journal/summary/daily
Badge

Query parameters

  • organization_id string<uuid>
    Organization to act on, at or below the caller’s. Defaults to the caller’s.
  • days integer
    Number of days.
    Default: 7

Response 200 OK application/json

  • summaries array[object]
    • backups_error integer
      Max: 1.8446744073709552e+19
    • backups_success integer
      Max: 1.8446744073709552e+19
    • backups_total integer
      Max: 1.8446744073709552e+19
    • checks_error integer
      Max: 1.8446744073709552e+19
    • checks_success integer
      Max: 1.8446744073709552e+19
    • checks_total integer
      Max: 1.8446744073709552e+19
    • end string<date-time>
    • input_bytes integer
      Max: 1.8446744073709552e+19
    • logical_read_bytes integer
      Max: 1.8446744073709552e+19
    • logical_written_bytes integer
      Max: 1.8446744073709552e+19
    • output_bytes integer
      Max: 1.8446744073709552e+19
    • restores_error integer
      Max: 1.8446744073709552e+19
    • restores_success integer
      Max: 1.8446744073709552e+19
    • restores_total integer
      Max: 1.8446744073709552e+19
    • start string<date-time>
    • store_read_bytes integer
      Max: 1.8446744073709552e+19
    • store_written_bytes integer
      Max: 1.8446744073709552e+19
    • syncs_error integer
      Max: 1.8446744073709552e+19
    • syncs_success integer
      Max: 1.8446744073709552e+19
    • syncs_total integer
      Max: 1.8446744073709552e+19
  • total integer
    Max: 1.8446744073709552e+19

Errors

  • 400 Bad Request (validation or deserialization error)
  • 401 Missing, invalid or expired credentials
  • 403 The caller may not do this
  • 500 Internal Server Error (panics)

Every error returns the standard error body.

Request

curl 'https://pcp.example.com/api/v1/journal/summary/daily' \
  -H 'Authorization: Bearer <badge>'

Response 200

{
  "summaries": [
    {
      "backups_error": 0,
      "backups_success": 0,
      "backups_total": 0,
      "checks_error": 0,
      "checks_success": 0,
      "checks_total": 0,
      "end": "2026-01-01T00:00:00Z",
      "input_bytes": 0,
      "logical_read_bytes": 0,
      "logical_written_bytes": 0,
      "output_bytes": 0,
      "restores_error": 0,
      "restores_success": 0,
      "restores_total": 0,
      "start": "2026-01-01T00:00:00Z",
      "store_read_bytes": 0,
      "store_written_bytes": 0,
      "syncs_error": 0,
      "syncs_success": 0,
      "syncs_total": 0
    }
  ],
  "total": 0
}